Bug 1947759 - allow optional vdsm-hooks intallation on oVirt Node
Summary: allow optional vdsm-hooks intallation on oVirt Node
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-release
Classification: oVirt
Component: ovirt-release-host-node
Version: 4.4.5
Hardware: Unspecified
OS: Unspecified
medium
high vote
Target Milestone: ovirt-4.4.7
: 4.4.7
Assignee: Sandro Bonazzola
QA Contact: Sandro Bonazzola
URL:
Whiteboard:
Depends On: 1976146 1976148
Blocks: 1947450
TreeView+ depends on / blocked
 
Reported: 2021-04-09 07:42 UTC by Sandro Bonazzola
Modified: 2021-07-13 09:45 UTC (History)
11 users (show)

Fixed In Version: ovirt-release44-4.4.7_rc1
Doc Type: No Doc Update
Doc Text:
Since ovirt-host doesn't pull in vdsm-hooks anymore, they are not installed within oVirt Node image anymore. It's now possible to install the vdsm-hooks previously pre-installed on the system without any additional configuration of the oVirt Node repositories.
Clone Of:
Environment:
Last Closed: 2021-07-13 09:45:02 UTC
oVirt Team: Integration
pm-rhel: ovirt-4.4+
cshao: testing_plan_complete?
sbonazzo: devel_ack+
weiwang: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 114673 0 master MERGED node: allow to install vdsm-hooks optionally 2021-05-10 13:20:02 UTC
oVirt gerrit 114743 0 ovirt-4.4 MERGED node: allow to install vdsm-hooks optionally 2021-05-11 13:59:39 UTC

Description Sandro Bonazzola 2021-04-09 07:42:23 UTC
With the removal of the vdsm hooks from oVirt Node requested by bug #1947450 in order to be able to still use them we need to allow to install them from the repo.

Comment 1 Michal Skrivanek 2021-04-13 07:22:29 UTC
when you update the product listing, please also remove vmfex hook as per bug 1937638, bug 1899875

Comment 3 Sandro Bonazzola 2021-06-22 06:50:29 UTC
(In reply to Michal Skrivanek from comment #1)
> when you update the product listing, please also remove vmfex hook as per
> bug 1937638, bug 1899875

Is this hook removal from product listing still required? Asking because according to verification of bug #1899875 the installation of the hook is optional.

Comment 4 Michal Skrivanek 2021-06-22 06:55:43 UTC
(In reply to Sandro Bonazzola from comment #3)
> (In reply to Michal Skrivanek from comment #1)
> > when you update the product listing, please also remove vmfex hook as per
> > bug 1937638, bug 1899875
> 
> Is this hook removal from product listing still required? Asking because
> according to verification of bug #1899875 the installation of the hook is
> optional.

it is. it was not verified correctly. the hook shall remain in ovirt, but we should not be publishing it in RHV anymore


Note You need to log in before you can comment on or make changes to this bug.